import { request } from './request.js'

// 获取当前登录用户详情
export function getLoginUserInfo(data) {
	return request('post', "/common/getLoginUserInfo",data)
}

// 基础信息-查询分页列表
export function selectPage(data) {
	return request('post', "/UpKeepDailyClamp/selectPage",data)
}

// 新增
export function add(data) {
	return request('post', "/UpKeepDailyClamp/insert",data)
}

// 获取班次
export function shiftList(data) {
	return request('post', "/common/shiftList",data)
}

// 获取压机类型
export function pressTypeList(data) {
	return request('post', "/common/pressTypeList",data)
}

// 获取项目
export function getProjects(data) {
	return request('post', "/common/getProjects",data)
}

// 通过项目id查询模具-不传id查询所有
export function getMouldByProjectId(data) {
	return request('post', "/common/getMould_clampByProjectId",data)
}

// 获取责任人
export function getUserList(data) {
	return request('post', "/common/getUserList",data)
}

// 保养单-查询基础信息-单个
export function selectDetailById(data) {
	return request('post', "/UpKeepDailyClamp/selectDetailById",data)
}

// 保养单-基础信息-编辑
export function update(data) {
	return request('post', "/UpKeepDailyClamp/update",data)
}

// 保养单-删除
export function deleteTask(data) {
	return request('post', "/UpKeepDailyClamp/delete",data)
}

// 详情信息 - 查看
export function selectCommitDetailById(data) {
	return request('post', "/UpKeepDailyClamp/selectCommitDetailById",data)
}

// 获取24小时以内的问题描述拼接
export function getIssueDetailsStr(data) {
	return request('post', "/issue/getIssueDetailsStr",data)
}

// 主保人确认-返回确认相关信息
export function mainConfirm(data) {
	return request('post', "/UpKeepDailyClamp/mainConfirm",data)
}

// 跟线人确认-返回确认相关信息
export function followConfirm(data) {
	return request('post', "/UpKeepDailyClamp/followConfirm",data)
}

// 班长确认-返回确认相关信息
export function squadConfirm(data) {
	return request('post', "/UpKeepDailyClamp/squadConfirm",data)
}